Published posts in a space
GET /api/member/communities/{communityId}/spaces/{spaceId}/feed. Published posts in a space. Headless LMS Posts API reference.
For anyone who can open the space (403 otherwise). Filter by topicId; an unknown topic is a 404.
Path Parameters
Query Parameters
1 <= value <= 900719925474099111 <= value <= 10020Only posts under this topic
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/communities/string/spaces/string/feed"{ "rows": [ { "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "topicId": "string", "title": "string", "body": "string", "extra": null, "coverAssetId": "string", "status": "draft", "scheduledAt": "2019-08-24T14:15:22Z", "publishedAt": "2019-08-24T14:15:22Z", "removedBy": "string", "pinned": true, "commentsClosed": true, "reactionsEnabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "coverUrl": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "role": "owner" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "commentCount": 0, "following": true, "bookmarked": true } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}The posts you bookmarked in a community, newest bookmark first GET
GET /api/member/communities/{communityId}/bookmarks. The posts you bookmarked in a community, newest bookmark first. Headless LMS Posts API reference.
The moderation queue of a space you moderate GET
GET /api/member/communities/{communityId}/spaces/{spaceId}/queue. The moderation queue of a space you moderate. Headless LMS Posts API reference.